-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT


-- Add user X to be an author


DECLARE
v_table_count NUMBER;
  BEGIN
   SELECT COUNT(*) INTO v_table_count FROM @SCHEMA@.LSW_USR_XREF WHERE USER_ID = 10 ; 
     IF (v_table_count = 0) THEN  
      INSERT INTO @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (10,
 @BPM_AUTHOR_ROLE_USER@,
 'BPM Author Role User') ; 
END IF ;
END ;      

/
  
DECLARE
v_table_count NUMBER;
  BEGIN
   SELECT COUNT(*) INTO v_table_count FROM @SCHEMA@.LSW_USR_GRP_MEM_XREF WHERE USER_ID = 10 AND GROUP_ID = 4 ; 
     IF (v_table_count = 0) THEN  
      INSERT INTO @SCHEMA@.LSW_USR_GRP_MEM_XREF("USER_ID",
 "GROUP_ID") 
VALUES (10,
 4) ; 
END IF ;
END ;      

/
    
DECLARE
v_table_count NUMBER;
  BEGIN
   SELECT COUNT(*) INTO v_table_count FROM @SCHEMA@.LSW_USR_GRP_MEM_XREF WHERE USER_ID = 10 AND GROUP_ID = 16 ; 
     IF (v_table_count = 0) THEN  
      INSERT INTO @SCHEMA@.LSW_USR_GRP_MEM_XREF("USER_ID",
 "GROUP_ID") 
VALUES (10,
 16) ; 
END IF ;
END ;      

/

